<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: src/httpserver/http_server.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d37b2b018bbc221799a85e44b06817cf.html">httpserver</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">http_server.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="http__server_8hpp_source.html">http_server.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="mongodb__handler_8hpp_source.html">mongodb_handler.hpp</a>&quot;</code><br />
<code>#include &quot;net/server.hpp&quot;</code><br />
<code>#include &quot;log.hpp&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for http_server.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="http__server_8cpp__incl.png" border="0" usemap="#src_2httpserver_2http__server_8cpp" alt=""/></div>
<map name="src_2httpserver_2http__server_8cpp" id="src_2httpserver_2http__server_8cpp">
<area shape="rect" title=" " alt="" coords="549,5,691,47"/>
<area shape="rect" href="http__server_8hpp.html" title=" " alt="" coords="171,95,293,121"/>
<area shape="rect" href="mongodb__handler_8hpp.html" title=" " alt="" coords="454,95,621,121"/>
<area shape="rect" title=" " alt="" coords="645,95,760,121"/>
<area shape="rect" title=" " alt="" coords="785,95,855,121"/>
<area shape="rect" title=" " alt="" coords="153,169,311,196"/>
<area shape="rect" title=" " alt="" coords="5,169,128,196"/>
<area shape="rect" title=" " alt="" coords="335,169,398,196"/>
<area shape="rect" title=" " alt="" coords="423,169,481,196"/>
<area shape="rect" title=" " alt="" coords="505,169,569,196"/>
<area shape="rect" title=" " alt="" coords="594,169,753,196"/>
<area shape="rect" title=" " alt="" coords="777,169,959,196"/>
<area shape="rect" title=" " alt="" coords="984,169,1123,196"/>
<area shape="rect" title=" " alt="" coords="1147,169,1325,196"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceomsb"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html">omsb</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
